"use strict";
/**
 * All types and their names should mimic the openapi spec (3.0.3).
 *
 * https://github.com/OAI/OpenAPI-Specification/blob/master/versions/2.0.md
 *
 * or
 *
 * https://swagger.io/specification/
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
const SchemaObject = {
    type: 'object',
    properties: {
        name: {
            description: 'Updated name of the pet',
            type: 'string',
        },
        status: {
            description: 'Updated status of the pet',
            type: 'string',
        },
    },
    required: ['status'],
};
