export declare const oldHttpMethods: readonly ["get", "put", "post", "delete", "options", "head", "patch"];
export declare const newerHttpMethods: readonly ["get", "put", "post", "delete", "options", "head", "patch", "trace"];
export declare function hasKey<K extends string>(key: K, obj: object): obj is {
    [key in K]: unknown;
};
export declare function isObject(arg: unknown): arg is object;
export declare function omit<T, S extends string>(src: T, fields: S[]): Omit<T, S>;
export declare function capitalize(str: string): string;
