import { SwaggerlintConfig } from '../types';
export declare function resolveConfigExtends(baseConfig: SwaggerlintConfig): SwaggerlintConfig;
declare type GetConfigSuccess = {
    type: 'success';
    config: SwaggerlintConfig;
    filepath: string;
};
declare type GetConfigFail = {
    type: 'fail';
    error: string;
};
declare type GetConfigError = {
    type: 'error';
    filepath: string;
    error: string;
};
declare type GetConfigResult = GetConfigSuccess | GetConfigFail | GetConfigError;
export declare function getConfig(configPath: string | void): GetConfigResult;
export {};
