import { OpenAPI, OpenAPIVisitorName } from '../types';
export declare const httpMethods: readonly ["get", "put", "post", "delete", "options", "head", "patch", "trace"];
export declare function isRef(arg: Record<string, unknown>): arg is OpenAPI.ReferenceObject;
export declare function isValidVisitorName(name: string): name is OpenAPIVisitorName;
export declare function isValidOpenAPIObject(arg: unknown): arg is OpenAPI.OpenAPIObject;
export declare const componentsKeys: readonly ["schemas", "responses", "parameters", "examples", "requestBodies", "headers", "securitySchemes", "links", "callbacks"];
