import { Swagger } from '../types';
export declare const httpMethods: readonly ["get", "put", "post", "delete", "options", "head", "patch"];
export declare function isRef(arg: Record<string, unknown>): arg is Swagger.ReferenceObject;
export declare function isInfoObject(arg: unknown): arg is Swagger.InfoObject;
export declare function isSwaggerObject(arg: unknown): arg is Swagger.SwaggerObject;
