"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getOpenAPIObject = exports.getSwaggerObject = void 0;
const deepmerge_1 = __importDefault(require("deepmerge"));
function getSwaggerObject(schema) {
    return deepmerge_1.default({
        swagger: '2.0',
        info: {
            title: 'stub',
            version: '1.0',
        },
        paths: {},
        tags: [],
    }, schema);
}
exports.getSwaggerObject = getSwaggerObject;
function getOpenAPIObject(schema) {
    return deepmerge_1.default({
        openapi: '3.0.3',
        info: {
            title: 'stub',
            version: '1.0',
        },
        paths: {},
        tags: [],
    }, schema);
}
exports.getOpenAPIObject = getOpenAPIObject;
