"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validate = void 0;
const ajv_1 = __importDefault(require("ajv"));
exports.validate = (schema, json) => {
    const ajv = new ajv_1.default({ allErrors: true, verbose: true });
    const validator = ajv.compile(schema);
    validator(json);
    return validator.errors || [];
};
